import { AdaptableStyle } from '../AdaptableState/Common/AdaptableStyle';
import { QuickSearchState } from '../AdaptableState/QuickSearchState';
/**
 * Provides run-time access to Quick Search Module
 */
export interface QuickSearchApi {
    /**
     * Retrieves Quick Search section from Adaptable State
     */
    getQuickSearchState(): QuickSearchState;
    /**
     * Runs Quick Search using supplied text
     * @param quickSearchText text to run QuickSearch on
     */
    runQuickSearch(quickSearchText: string): void;
    /**
     * Clears Quick Search
     */
    clearQuickSearch(): void;
    /**
     * Goes to the next match for the current Quick Search text
     */
    gotoNextMatch(): void;
    /**
     * Goes to the previous match for the current Quick Search text
     */
    gotoPreviousMatch(): void;
    /**
     * Retrieves current Quick Search text
     */
    getQuickSearchValue(): string;
    /**
     *  Retrieves current Quick Search style
     */
    getQuickSearchCellMatchStyle(): AdaptableStyle;
    /**
     * Retrieves the style for the text match in the Quick Search
     */
    getQuickSearchTextMatchStyle(): Omit<AdaptableStyle, 'ClassName'> | undefined;
    /**
     * Retrieves the style for the current text match in the Quick Search
     */
    getQuickSearchCurrentTextMatchStyle(): Omit<AdaptableStyle, 'ClassName'> | undefined;
    /**
     * Sets style for Quick Search; can be name of (a provided) css style
     * @param style the style to use
     */
    setQuickSearchCellMatchStyle(style: AdaptableStyle): void;
    /**
     * Opens Settings Panel with Quick Search section selected and visible
     */
    openQuickSearchSettingsPanel(): void;
    /**
     * Opens the Floating Quick Search
     */
    showFloatingQuickSearch(): void;
    /**
     * Hides the floating Quick Search
     */
    hideFloatingQuickSearch(): void;
}
